Bug 576585 - the js package is compiled without utf8 support
Summary: the js package is compiled without utf8 support
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: js
Version: 12
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 576586 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-24 14:35 UTC by Peter Halliday
Modified: 2010-06-16 04:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-16 04:18:37 UTC


Attachments (Terms of Use)

Description Peter Halliday 2010-03-24 14:35:21 UTC
Description of problem:
I have a package that has the js package as a dependency.  I need it compiled with utf8 support.

Additional info:
This is to get an RPM created for the MongoDB.

Comment 1 Pavel Alexeev 2010-03-27 11:20:59 UTC
*** Bug 576586 has been marked as a duplicate of this bug. ***

Comment 2 Bug Zapper 2010-04-28 11:59:19 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Pavel Alexeev 2010-04-30 20:53:05 UTC
Do you have idea how I could compile it with utf8 support? At first glance I do not see mention about in in Makefile and readme included in tarball.

Comment 4 Pavel Alexeev 2010-05-05 09:21:24 UTC
Ping.
I don't known how accomplish it. If you have some idea, please reopen bug.

Comment 5 Peter Halliday 2010-05-05 14:32:00 UTC
Sorry, to be late.  But I had to talk to the right people to get the right answer.  This is how they do it:

sed -i 's/XCFLAGS.*$/XCFLAGS="%{optflags} -fPIC -DJS_C_STRINGS_ARE_UTF8" \\/' /usr/src/redhat/SPECS/js.spec

It looks like the -DJS_C_STRINGS_ARE_UTF8 is the correct one.

Comment 6 Pavel Alexeev 2010-05-08 14:37:38 UTC
Ok, please try this build - http://koji.fedoraproject.org/koji/taskinfo?taskID=2174222

Comment 7 Ionuț Arțăriși 2010-06-15 07:55:53 UTC
Hello, I'm also trying to package mongodb.

The koji build is no longer available, but I tried compiling js with Peter's patch and everything works fine.

Comment 8 Pavel Alexeev 2010-06-16 04:18:37 UTC
Ok, done.
http://koji.fedoraproject.org/koji/taskinfo?taskID=2252842


Note You need to log in before you can comment on or make changes to this bug.